Package org.gradle.api.plugins.jvm

## Class TestFixturesDependencyModifiers.TestFixturesDependencyModifier

- java.lang.Object
- - org.gradle.api.plugins.jvm.TestFixturesDependencyModifiers.TestFixturesDependencyModifier

- All Implemented Interfaces:
    `DependencyModifier`
  Enclosing interface:
    TestFixturesDependencyModifiers

      @Incubating
      public abstract static class TestFixturesDependencyModifiers.TestFixturesDependencyModifier
      extends java.lang.Object
      implements DependencyModifier

  Implementation for the test fixtures dependency modifier.
  Since:
    8.0
  See Also:
    `modify(ModuleDependency)`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestFixturesDependencyModifier()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<D extends ModuleDependency> D` | `modify​(D dependency)` | Takes a given `ModuleDependency` and modifies the dependency to select the variant of the given module.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.artifacts.dsl.DependencyModifier

      `getDependencyFactory, modify, modify, modify`

- - ### Constructor Detail

    - #### TestFixturesDependencyModifier

          public TestFixturesDependencyModifier()

  - ### Method Detail

    - #### modify

          public <D extends ModuleDependency> D modify​(D dependency)

      Takes a given `ModuleDependency` and modifies the dependency to select the variant of the given module. Dependency resolution may fail if the given module does not have a compatible variant.

      Selects the test fixtures variant of the given dependency.
      Specified by:
        `modify` in interface `DependencyModifier`
      Type Parameters:
        `D` - the type of the `ModuleDependency`
      Parameters:
        `dependency` - the dependency to modify
      Returns:
        the modified dependency